org.wso2.carbon.device.mgt.mobile.windows.api.services.discovery.beans

## Class DiscoveryRequest

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.discovery.beans.DiscoveryRequest

- All Implemented Interfaces:
    Serializable

      public class DiscoveryRequest
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryRequest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicationVersion()`
    `List<String>` | `getAuthenticationPolicies()`
    `String` | `getDeviceType()`
    `String` | `getEmailId()`
    `String` | `getOsEdition()`
    `String` | `getVersion()`
    `void` | `setApplicationVersion(String applicationVersion)`
    `void` | `setAuthenticationPolicies(List<String> authenticationPolicies)`
    `void` | `setDeviceType(String deviceType)`
    `void` | `setEmailId(String emailId)`
    `void` | `setOsEdition(String osEdition)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryRequest

          public DiscoveryRequest()

  - ### Method Detail

    - #### getEmailId

          public String getEmailId()

    - #### setEmailId

          public void setEmailId(String emailId)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getDeviceType

          public String getDeviceType()

    - #### setDeviceType

          public void setDeviceType(String deviceType)

    - #### getAuthenticationPolicies

          public List<String> getAuthenticationPolicies()

    - #### setAuthenticationPolicies

          public void setAuthenticationPolicies(List<String> authenticationPolicies)

    - #### getOsEdition

          public String getOsEdition()

    - #### setOsEdition

          public void setOsEdition(String osEdition)

    - #### getApplicationVersion

          public String getApplicationVersion()

    - #### setApplicationVersion

          public void setApplicationVersion(String applicationVersion)

Copyright © 2017 WSO2. All rights reserved.